use druid::Data;

#[derive(Debug, Clone, PartialEq, Eq)]
pub struct EqData<T: 'static + PartialEq + Clone>(pub T);

impl<T: 'static + PartialEq + Clone> Data for EqData<T> {
    fn same(&self, other: &Self) -> bool {
        self == other
    }
}
